<#import "parts/common.ftl" as common>

<@common.page>
    <h1>User ${user.username}</h1>
    <form action="/user" method="post">
        <input type="hidden" value="${_csrf.token}" name="${_csrf.parameterName}" />
        <input type="hidden" value="${user.id}" name="userId" />
        <label for="userName">Username: </label>
        <input required type="text" name="userName" id="userName" value="${user.username}" />

        <#list roles as role>
            <label>
                <input type="checkbox" name="${role}" ${user.roles?seq_contains(role)?string("checked", "")} />
                ${role}
            </label>
        </#list>

        <button type="reset">Reset</button>
        <button type="submit">Save</button>
    </form>
</@common.page>